Skip to main content
PUT
/
ssh-keys
/
{sshKey}
Rename an SSH key
curl --request PUT \
  --url https://console.wenium.com/api/ssh-keys/{sshKey} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Updated Key Name"
}
'
{
  "status": true,
  "message": "SSH Key updated successfully.",
  "data": {
    "id": 1,
    "name": "My Laptop Key",
    "public_key": "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABgQC...",
    "user_id": 1,
    "created_at": "2026-07-03T00:00:00.000000Z",
    "updated_at": "2026-07-03T00:00:00.000000Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

sshKey
integer
required

Body

application/json
name
string
required
Example:

"Updated Key Name"

Response

200 - application/json

Key updated

status
boolean
Example:

true

message
string
Example:

"SSH Key updated successfully."

data
object